Page MenuHomePhabricator

Update technical documentation for portals repository
Closed, ResolvedPublic

Description

The portals repository should have technical documentation for all aspects of the architecture, workflow and deployment process. This documentation should be aimed at developers and live in the repository itself, for easy reference while developing. It can be formatted as markdown so that it is easily readable on the github and diffusion repository clones, like the 'readme' file is.

Event Timeline

debt created this task.Dec 5 2017, 4:05 PM
Restricted Application added a project: Discovery. · View Herald TranscriptDec 5 2017, 4:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt triaged this task as Normal priority.Dec 5 2017, 4:05 PM
debt updated the task description. (Show Details)
debt updated the task description. (Show Details)
Jdrewniak renamed this task from Document the portal automation process to Update technical documentation for portals repository.Dec 6 2017, 8:35 AM
Jdrewniak updated the task description. (Show Details)

Change 396407 had a related patch set uploaded (by Jdrewniak; owner: Jdrewniak):
[wikimedia/portals@master] Updating Portal documentation

https://gerrit.wikimedia.org/r/396407

mxn added a subscriber: mxn.Dec 9 2017, 6:10 AM

Change 396407 merged by jenkins-bot:
[wikimedia/portals@master] Updating Portal documentation

https://gerrit.wikimedia.org/r/396407

debt closed this task as Resolved.Dec 12 2017, 5:51 PM